<?php
/**
*   Main config file.
*   @version    161017:1
*   @author     karminski <code.karminski@outlook.com>
*
*/

/**
 * set default ini
 */
ini_set("date.timezone", "Asia/Harbin");


/**
 * GLOBAL const
 */
if (!defined('ENV_PRODUCT')) define("ENV_PRODUCT",  "prod");
if (!defined('ENV_BETA'))    define("ENV_BETA",     "beta");
if (!defined('ENV_TEST'))    define("ENV_TEST",     "test");
if (!defined('SERVER_ENV'))  define("SERVER_ENV",   empty($_SERVER['SERVER_ENV']) ? "" : $_SERVER['SERVER_ENV']);



/**
 * product config here
 */
$product =  array(
    'global' => array(
        'global_id'   => 'pin_guide_ms',
        'folder'      => '/data/repo/pin_guide_ms/',
    ),
    'log' => array(
        'open'        => true,
        'address'     => '/data/repo/pin_guide_ms/logs/', // the '/' at end of line is necessary
        'split'       => 'day', // options: month, day, hour, minute
    ),
    'storage'        => array(
    ),
    'cache'          => array(
        'redis' => array(
            'host'     => '192.168.100.14',
            'port'     => 6379,
            'pass'     => 'H5JR7to0lvBkG9XYFirV',
            'database' => 4,
            'timeout'  => 0,
        ),
    ),
    'mongodb' => array(
        'pin_guide_ms' => "mongodb://pin_guide_ms:%25%243Rb1x%26jzJ9Qn8@192.168.100.31:27017/pin_guide_ms",
    ),
);


/**
 * beta config here
 */
$beta =  array(
    'global' => array(
        'global_id'   => 'pin_guide_ms',
        'folder'      => '/data/repo/pin_guide_ms/',
    ),
    'log' => array(
        'open'        => true,
        'address'     => '/data/repo/pin_guide_ms/logs/', // the '/' at end of line is necessary
        'split'       => 'day', // options: month, day, hour, minute
    ),
    'storage'        => array(
    ),
    'cache'          => array(
        'redis' => array(
            'host'     => '192.168.100.14',
            'port'     => 6379,
            'pass'     => 'H5JR7to0lvBkG9XYFirV',
            'database' => 4,
            'timeout'  => 0,
        ),
    ),
    'mongodb' => array(
        'pin_guide_ms' => "mongodb://pin_guide_ms:%25%243Rb1x%26jzJ9Qn8@192.168.100.31:27017/pin_guide_ms",
    ),
);


/**
 * test config here
 */
$test =  array(
    'global' => array(
        'global_id'   => 'pin_guide_ms',
        'folder'      => '/data/repo/pin_guide_ms/',
    ),
    'log' => array(
        'open'        => true,
        'address'     => '/data/repo/pin_guide_ms/logs/', // the '/' at end of line is necessary
        'split'       => 'day', // options: month, day, hour, minute
    ),
    'storage'        => array(
    ),
    'cache'          => array(
        'redis' => array(
            'host'     => '192.168.100.14',
            'port'     => 6379,
            'pass'     => 'H5JR7to0lvBkG9XYFirV',
            'database' => 4,
            'timeout'  => 0,
        ),
    ),
    'mongodb' => array(
        'pin_guide_ms' => "mongodb://pin_guide_ms:%25%243Rb1x%26jzJ9Qn8@192.168.100.31:27017/pin_guide_ms",
    ),
);



/**
 * change return to switch environment 
 */
if(empty(SERVER_ENV)){
    return $test;
}elseif(SERVER_ENV === ENV_BETA){
    return $beta;
}elseif(SERVER_ENV === ENV_PRODUCT){
    return $product;
}else{
    return $test;
}
