<?php
/**
 * DelPlaceholderGuide.requirements.h.php
 * @version    150831:1
 * @author     karminski <code.karminski@outlook.com>
 *
 */

return array(
    'config'     => array(
        'main.config'
    ),
    'lib'        => array(
        'base/Log',
        'base/Feedback',
        'base/Input',
        'base/AccessibilityCheck',
        'network/Curl',
        'encrypt/Encrypt',
        'cache/RedisFactory',
        'cache/RedisProxy',
        'storage/File',
        'storage/FluentPDO',
        'storage/MongoDBFactory',


    ),
    'controller' => array(
    ),
    'model'      => array(
        'FeedbackInfo',
        'Request',
        'Result',
        'ApiProxy',
        'SampleCache',
        'PlaceholderGuideMongoDB',
        'DelGuideRequest',
        'GeneralResult',

    ),
    'views'      => array(
        'BaseView',
    ),
);