<?php
/**
 * FindGuideResult.phphp
 * FindGuideResult model.
 * @version    170424:1
 * @author     karminski <code.karminski@outlook.com>
 *
 * @changelogs 
 *             170424:1 INIT version.
 */

/**
 * class FindGuideResult
 */
class FindGuideResult extends Result{
    
    public $data;

    public function importFromFindGuideMongoDB(&$doc){
        if(empty($doc)) return false;

        $doc = json_encode($doc);
        $doc = json_decode($doc,true);

        $this->data['id'] = $doc['_id']['$oid'];
        $this->data['content'] = $doc['content'];
        $this->data['source'] = $doc['source'];
        $this->data['startTime'] = date('Y-m-d H:i:s',substr($doc['startTime']['$date']['$numberLong'], 0, 10));
        $this->data['endTime'] = date('Y-m-d H:i:s',substr($doc['endTime']['$date']['$numberLong'], 0, 10));

        return true;
    }



    /**
     * [exportForFeedback description]
     * @param  [type] &$feedData [description]
     * @return [type]            [description]
     */
    public function exportForFeedback(&$feedData){
        $feedData['data'] = $this->data;
        return true;
    }

}