<?php
/**
*   Ip.php
*   @version   150608:1
*   @author    karminski <code.karminski@outlook.com>
*
*   @changes 
*              150608:1  Add getClientIp().
*/

/**
 * class Ip 
 */
class Ip{

    /**
     * [getClientIp description]
     * @return [type] [description]
     */
    public static function getClientIp(){
        return array(
            'HTTP_X_FORWARDED_FOR' => empty($_SERVER['HTTP_X_FORWARDED_FOR']) ? array() : explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']),
            'HTTP_CLIENT_IP'       => empty($_SERVER["HTTP_CLIENT_IP"])? "" : $_SERVER["HTTP_CLIENT_IP"],
            'REMOTE_ADDR'          => empty($_SERVER["REMOTE_ADDR"])? "" : $_SERVER["REMOTE_ADDR"],
        );
    }

}