<?php
/**
* MysqlFactory.php
* Mysql connection factory.
* @version    151110:1
* @author     karminski <code.karminski@outlook.com>
*
* @changelogs
*             151110:1 INIT version.
*/

namespace SaltFish;

/**
 * class MysqlFactory 
 */
class MysqlFactory{

    private static $instance;
    public         $h;
    public         $pool = array();

    /**
     * [__construct description]
     */
    private function __construct(){
        $this->h = Config::get('storage');
        return;
    }

    /**
     * [getInstance description]
     * @return [type] [description]
     */
    public static function getInstance(){
        if(empty(self::$instance)){
            self::$instance = new MysqlFactory;
        }
        return self::$instance;
    }

    /**
     * [spawn description]
     * @param  string $name, mysql instance name
     * @return MysqlProxy MysqlProxy
     */
    public static function &spawn($name){
        $instance = self::getInstance();
        // if alerady spawn return pool result
        if(!empty($instance->pool[$name])) return $instance->pool[$name];
        // spawn
        $instance->pool[$name] = new MysqlProxy($instance->h[$name]);
        return $instance->pool[$name];
    }


}