<?php
/**
 * FeedbackInfo.php
 * FeedbackInfo model.
 * @author     karminski <code.karminski@outlook.com>
 * @version    160819:1
 */

/**
 * class FeedbackInfo
 */
class FeedbackInfo{
    // signals
    const S_UNKNOWN_ERROR        = 0;
    const S_OK                   = 1;
    const S_NO_RESULT            = 2;
    const S_PERMISSION_DENIED    = 3;
    const S_WRONG_INPUT          = 4;
    const S_WRONG_EXEC_RESULT    = 5;
    const S_WRONG_TIME_REPECT    = 6;
    // messages
    const M_OK                   = 'ok';
    const M_ILLEGAL_SESSION      = 'illegal session';
    const M_ACCESS_DENIED        = 'access denied';
    const M_NO_RESULT            = 'no result';
    const M_ILLEGAL_TOKEN        = 'illegal token';
    const M_CACHE_FAILED         = 'cache failed';
    const M_STORAGE_FAILED       = 'storage failed';
    const M_WRONG_TIME_REPECT    = 'time repect';

}