<?php
/**
 * GetGuideResult.phphp
 * GetGuideResult model.
 * @version    170424:1
 * @author     karminski <code.karminski@outlook.com>
 *
 * @changelogs 
 *             170424:1 INIT version.
 */

/**
 * class GetGuideResult
 */
class GetGuideResult extends Result{
    
    public $data;
    public $pageNum;
    public $pageSize;
    public $total;

    public function importFromGetGuideMongoDB(&$doc,$k,$pageNum,$pageSize){
        if(empty($doc)) return false;

        $doc = json_encode($doc);
        $doc = json_decode($doc,true);

        $this->data[$k]['id'] = $doc['_id']['$oid'];
        $this->data[$k]['content'] = $doc['content'];
        $this->data[$k]['source'] = $doc['source'];
        $this->data[$k]['startTime'] = date('Y-m-d H:i:s',substr($doc['startTime']['$date']['$numberLong'], 0, 10));
        $this->data[$k]['endTime'] = date('Y-m-d H:i:s',substr($doc['endTime']['$date']['$numberLong'], 0, 10));

        $this->pageNum = $pageNum;
        $this->pageSize = $pageSize;
        return true;
    }

    public function countGuideMongoDB(&$result){
        $this->total = $result;
        return true;
    }


    /**
     * [exportForFeedback description]
     * @param  [type] &$feedData [description]
     * @return [type]            [description]
     */
    public function exportForFeedback(&$feedData){
        $feedData['data'] = $this->data;
        $feedData['pageNum']  = $this->pageNum;
        $feedData['pageSize']    = $this->pageSize;
        $feedData['total']    = $this->total;
        return true;
    }

}