<?php
/**
*   SampleCache.php
*   Sample cache
*   @version    170821:1
*   @author     karminski <code.karminski@outlook.com>
*/

/**
 * class SampleCache
 */
class SampleCache{

    const INSTANCE_NAME     = 'sample_cache';
    const KEY_NAME_PREFIX   = 'sc:';
    
    public $Redis;

    /**
     * [__construct description]
     */
    public function __construct(){
        $this->Redis = SaltFish\RedisFactory::spawn(self::INSTANCE_NAME);
    }

    /**
     * [__destruct description]
     */
    public function __destruct(){
        $this->Redis = null;
    }


    /**
     * [set description]
     * @param GeneralRequest $SampleRequest [description]
     */
    public function set(GeneralRequest $SampleRequest){
        $requestKey  = "";
        $requestData = "";
        $SampleRequest->exportForSampleCacheSet($requestKey, $requestData);
        return $this->Redis->set(self::KEY_NAME_PREFIX.$requestKey, $requestData);
    }

    /**
     * [get description]
     * @param  GeneralRequest $SampleRequest [description]
     * @param  GetGuideResult  $SampleResult  [description]
     * @return [type]                       [description]
     */
    public function get(GeneralRequest $SampleRequest, GetGuideResult $SampleResult){
        $requestKey  = "";
        $resultData = "";
        if(!$SampleRequest->exportForSampleCacheGet($requestKey)) return false;
        $resultData = $this->Redis->get(self::KEY_NAME_PREFIX.$requestKey);
        if(!$SampleResult->importResultFromCache($resultData)) return false;
        return true;
    }



}
